# -*- tcl -*-
# $Id: lib_t39.tcl,v 1.6 2003/07/30 07:11:03 grigory Exp $

namespace eval phonelib {
    variable ring_str {RING|\*ECAV}
    variable cmd_busy   at*evh
    variable cmd_answer at*eva
    variable cmd_call   at*evd

    variable cmd_phb_info {at+cpbr=?}
    variable cmd_phb_mode {at+cpbs="ME"}
    variable cmd_phb_read {at+cpbr=}

    variable cmd_sms_read {at+cmgl=1}

    variable INIT_STR {atze=0}
    variable INIT_PHONE [list \
			     {at+cpms="ME","ME","ME"} \
			     {at+cnmi=3,3,2,0,0} \
			     $cmd_phb_mode \
			     {at+cscs="UTF-8"} \
			     {at*ecam=1}
			]  #at+crc=1  at+cr=1

    proc voice_call {number} {
	variable cmd_call
	return [send_data "$cmd_call=\"$number\""]
    }

    proc phone_model {} {
	regsub -all {OK|\n|\"| } [send_data ati0] {} model
	puts "Phone model: $model"
	return $model
    }

    proc reg_number {str} {
	if  {[regexp {\*ECAV: [0-9],6,} $str]} {
	    regsub -all {\n|\r|\"|^.*\*ECAV: } $str {} str
	    set str [split $str ,]
	    set res [list [lindex $str 5] [lindex $str 6]]
	    puts $res
	    return $res
	}
	return -1
    }
}
